package com.tir.user.register;


import android.os.Bundle;
import android.text.Html;
import android.text.Spanned;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import com.tir.user.R;
import com.tir.user.databinding.FragmentAgreementsBinding;

import androidx.annotation.NonNull;
import androidx.databinding.DataBindingUtil;
import androidx.fragment.app.Fragment;

public class FragmentAgreements extends Fragment {

    @Override
    public View onCreateView(@NonNull LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        // Inflate the layout for this fragment
        FragmentAgreementsBinding binding = DataBindingUtil.inflate(inflater, R.layout.fragment_agreements, container, false);

        String htmlAsString= "<html>" +
                "<body>" +
                "<p dir=\"RTL\" style=\"text-align:start\"><strong>الف: اطلاعات کاربری</strong></p>" +
                "<p dir=\"RTL\" style=\"text-align:start\">1. کاربران اعم از رانندگان وسایل نقلیه باربری یا صاحبین بار در هنگام ثبت نام میبایست اطلاعات کاربری خود را به صورت دقیق و صحیح وارد نمایند. در صورت پیگیری کارشناسان و محرز شدن ثبت اطلاعات نادرست از سوی کاربران، تیر مجاز است از طریق مراجع قضایی و قانونی اقدامات لازم را انجام دهد.</p>" +
                "<p dir=\"RTL\" style=\"text-align:start\">2. کاربران بایستی پیش از ثبت نام ابتدا تمامی قوانین و مقررات تیر را مطالعه نمایند و با اطلاع از تمامی شرایط و ضوابط ثبت نام خود را تکمیل نمایند. همچنین لازم به ذکر است که امکان تغییر قوانین و مقررات در صفحه جاری وجود دارد و مسئولیت مطالعه و آگاهی از تغییرات بر عهده کاربران میباشد.</p>" +
                "<p dir=\"RTL\" style=\"text-align:start\">3. صاحبین بار یا رانندگان وسایل نقلیه باربری تنها مجاز به ایجاد یک حساب کاربری در ازای هر مدرک هویتی میباشند و در صورتیکه مشخص شود از نام یک شخص حقیقی یا حقوقی چندین حساب کاربری وجود دارد، شرکت مجاز به غیر فعال نمودن حساب های کاربری و قطع ارائه خدمات میباشد.</p>" +
                "<p dir=\"RTL\" style=\"text-align:start\">4. مسئولیت حفاظت از اطلاعات کاربری اعم از نام کاربری، رمز عبور و اطلاعات شخصی درج شده در سایت یا اپلیکیشن بر عهده کاربران میباشد.</p>" +
                "<p dir=\"rtl\" style=\"text-align:start\">5. با توجه به بررسی ها و صلاحدید شرکت، ممکن است از کاربران درخواست اطلاعات تکمیلی، ارائه مدارک معتبر و یا اصلاح اطلاعات گردد و کاربران موظفند در بازه زمانی مشخص شده مدارک را ارائه یا اصلاح نمایند. در غیر اینصورت تیر مجاز خواهد بود حساب کاربری این افراد را مسدود کرده و از ارائه خدمات به آنها جلوگیری کند.</p>" +
                "<p dir=\"RTL\" style=\"text-align:start\"><strong>ب: حریم خصوصی</strong></p>" +
                "<p dir=\"rtl\" style=\"text-align:start\">1. خدمات و سرویس های باربری تیر به صورت شبانه روزی بوده و تمامی سفارشات در همان روز کاری و در اسرع وقت در دست اقدام قرار میگیرند.</p>" +
                "<p dir=\"rtl\" style=\"text-align:start\">2. مسئولیت تامین اینترنت، سخت \u200Cافزار لازم و همچنین پرداخت هزینه\u200Cهای مربوطه برای استفاده از خدمات تیر بر عهدۀ کاربران می باشد<span dir=\"LTR\">.</span></p>" +
                "<p dir=\"rtl\" style=\"text-align:start\">3. تمامی کاربران متعهد می\u200Cشوند پس از اتمام پروسه حمل و نقل بار، از اطلاعاتی که در نتیجۀ استفاده از تیر از صاحبین بار یا رانندگان کسب کرده\u200Cاند هیچ\u200Cگونه استفاده\u200Cای نکنند.</p>" +
                "<p dir=\"RTL\" style=\"text-align:start\"><strong>پ: شرایط بارها</strong></p>" +
                "<p dir=\"RTL\" style=\"text-align:start\">1. راننده حمل بار متعهد می\u200Cگردد با رعایت کامل امانت داری و در زمان تعیین شده مرسوله را به محل مشخص شده و گیرنده برساند<span dir=\"LTR\">.</span></p>" +
                "<p dir=\"RTL\" style=\"text-align:start\">2. &nbsp;صاحب بار نباید مرسولات خلاف قوانین و مقررات جمهوری اسلامی ایران مانند مرسولۀ ممنوعه، مواد مخدر، مشروبات الکلی، مواد شیمیائی توهم زا، مواد منفجره، محترقه، مواد سمی، اسیدی، بیماری زا و بد بو، مایعات و جامدات آتش زا و سوختنی، مواد و وسایل رادیواکتیو و بارهای با حجم و ابعاد بیشتر از مقررات شرکت را جهت حمل به کاربر راننده تحویل دهد و در صورت تحویل این نوع بار، کاربر راننده مکلف است گزارش این موارد را به شرکت و مراجع انتظامی بدهد. لازم به ذکر است تمامی مسئولیت حقوقی و جزایی در این دست موارد بر عهده صاحب بار و سفارش دهنده خواهد بود اما در صورتیکه کاربر راننده حمل چنین مرسولاتی را بر عهده بگیرد، شرکت ضمن لغو عضویت وی حق پیگیری این اقدام را از طریق مراجع قانونی و قضایی خواهد داشت<span dir=\"LTR\">.</span></p>" +
                "<p dir=\"RTL\" style=\"text-align:start\"><strong>ت: پرداخت هزینه</strong></p>" +
                "<p dir=\"RTL\" style=\"text-align:start\">1. پرداخت هزینۀ خدمات باربری تنها از طریق روش\u200Cهایی که تیر اعلام و مشخص میکند می تواند صورت گیرد.رانندگان محترم می توانند با پرداخت شارژ ماهیانه عضو سامانه تیر شوند و از بارهای مختلف در سراسر کشور مطلع شوند.</p>" +
                "<p dir=\"RTL\" style=\"text-align:start\">2. تیر هیچ کمیسیونی بابت پرداختی های کاربران دریافت نمیکند بلکه صرفا پلی ارتباطی میان رانندگان وسایل نقلیه باربری و صاحبین بار میباشد.</p>" +
                "<p dir=\"RTL\" style=\"text-align:start\">3. کاربر سفارش دهنده متعهد میگردد درخواست اعلام بار را تنها در صورتیکه که حقیقتا قصد استفاده از خدمات تیر را دارد ارسال کند. همچنین در صورتیکه صاحب بار پس از ارسال درخواست و پذیرش راننده درخواست خود را لغو کند یا در مکان و زمان مشخص شده برای تحویل بار و مرسوله حضور پیدا نکند متعهد به پرداخت تمام مبلغ مورد توافق میباشد.</p>" +
                "<p dir=\"RTL\" style=\"text-align:start\"><strong>ث: رهگیری بار و مرسوله</strong></p>" +
                "<p dir=\"rtl\" style=\"text-align:start\">&nbsp;تیر جهت آگاهی صاحبین بار از وضعیت سفارش خود، موقعیت رانندگان و بار را بر روی نقشه به صورت آنلاین برای فرستنده ارسال می کند<span dir=\"LTR\">.</span></p>" +
                "<p dir=\"RTL\" style=\"text-align:start\"><strong>ج: ضوابط ناظر بر عملکرد رانندگان</strong></p>" +
                "<p dir=\"rtl\" style=\"text-align:start\">1. تیر جهت حمل و نقل بار تنها با افراد بالای 18 سال که دارای گواهینامه پایه 1 هستند همکاری میکند و اگر تخلفی در خصوص کم بودن سن قانونی یا مسائل مربوط به گواهینامه محرز شود، عواقب آن بر عهده فرد راننده حمل بار است.</p>" +
                "<p dir=\"RTL\" style=\"text-align:start\">2. مسئولیت همۀ اقدامات و افعال کاربران که ناشی از عدم رعایت قوانین و مقررات جمهوری اسلامی ایران از جمله قانون مجازات اسلامی (ارتکاب جرم در هنگام سفر) و قوانین مدنی (ورود خسارت به بارهای کاربر سفارش دهنده یا اشخاص ثالث) باشد، برعهدۀ شخص متخلف بوده و شرکت هیچ گونه مسئولیتی در قبال اعمال و افعال فوق ندارد. همچنین شرکت می\u200Cتواند ضمن غیر فعال کردن حساب کاربری فرد متخلف، از طریق مراجع صالح اقدامات قانونی را علیه نامبرده اعمال نماید.</p>" +
                "<p dir=\"RTL\" style=\"text-align:start\">3. کاربر راننده حمل بار متعهد به بیمه نمودن وسیله نقلیه باربری خود می\u200Cباشد تا در صورت بروز خسارات به اشخاص ثالث، جبران خسارات از طریق شرکت بیمه گر میسر باشد<span dir=\"LTR\">.</span>&nbsp;بدیهی است مسئولیت کوتاهی در این مورد نیز بر عهده فرد راننده میباشد.</p>" +
                "<p dir=\"RTL\" style=\"text-align:start\"><strong>چ: پرداخت خسارت</strong></p>" +
                "<p dir=\"RTL\" style=\"text-align:start\">1. چنانچه تلف شدن، نقص یا سرقت مرسوله ناشی از حمل و نقل غیر صحیح اثاثیه یا به طور کلی قصور راننده باربری باشد مسئولیت تماما متوجه کاربر راننده میباشد. همچنین راننده حمل بار ملزم به جبران خسارت وارده به شخص ثالث و شرکت بوده و تیر حق لغو عضویت وی را خواهد داشت<span dir=\"LTR\">.</span></p>" +
                "<p dir=\"RTL\" style=\"text-align:start\"><strong>ح: حق کپی رایت</strong></p>" +
                "<p dir=\"RTL\" style=\"text-align:start\">&nbsp;کاربران حق ندارند هیچ فعالیتی در جهت دسترسی غیر متداول و غیر قانونی در هیچکدام از بخش های سامانه تیر صورت دهند. در صورت اقدامی در راستای مورد فوق الذکر، طبق قوانین جمهوری اسلامی ایران با فرد متخلف برخورد شده و مسئله مورد پیگرد قانونی قرار خواهد گرفت.</p>" +
                "<p dir=\"RTL\" style=\"text-align:start\"><strong>خ: قطع خدمات</strong></p>" +
                "<p dir=\"rtl\" style=\"text-align:start\">1. رفتار راننده حمل بار، باید مطابق اصول اجتماعی باشد و به همین منظور رفتار و عملکرد راننده از سوی کارشناسان تیر مورد بررسی قرار میگیرد تا در صورت مناسب نبودن رفتار، امانت داری و هرگونه تخلف دیگر، راننده متخلف مشمول جریمه، قطع همکاری و یا پیگرد قانونی قرار بگیرد.</p>" +
                "<p dir=\"rtl\" style=\"text-align:start\">2. در صورت تخلف کاربران از قوانین و مقررات جمهوری اسلامی ایران و شرایط این سند و هر اعمال و رفتاری که حضور یک کاربر (راننده یا صاحبین بار) را برای شرکت، سایر کاربران و اشخاص ثالث خطرناک نماید و یا مطلوب نباشد، شرکت مجوز برای حذف دسترسی کاربر را خواهد داشت. در این صورت، کاربر حق طرح هیچگونه ادعا و یا اعتراضی را نخواهد داشت<span dir=\"LTR\">.</span></p>" +
                "<p dir=\"RTL\" style=\"text-align:start\"><strong>د: مسئولیت و تعهدات شرکت تیر</strong></p>" +
                "<p dir=\"RTL\" style=\"text-align:start\">1. در صورت مشاهده عملکرد مناسب راننده و رضایت کاربران، راننده از طرح های تشویقی مانند ارسال جایزه ماهانه بهره مند می شود<span dir=\"LTR\">.</span></p>" +
                "<p dir=\"RTL\" style=\"text-align:start\">2. شرکت با استفاده از نظارت\u200Cهای خود تلاش می\u200Cکند خدمات با کیفیت مطلوب به کاربران ارائه دهد<span dir=\"LTR\">.</span></p>" +
                "<p dir=\"RTL\" style=\"text-align:start\">3. تمامی اطلاعات کاربران بعنوان اطلاعات محرمانه نزد شرکت محافظت شده و دسترسی به آن توسط اشخاص ثالث مگر برابر تصمیم مقام ذیصلاح ممنوع میباشد. بنابراین در صورت درخواست و صدور دستور مقتضی از سوی مراجع قضایی، شرکت مکلف به ارائه اطلاعات کاربران به مراجع مذکور می\u200Cباشد<span dir=\"LTR\">.</span></p>" +
                "<p dir=\"rtl\" style=\"text-align:start\">4. تیر طبق قوانین جمهوری اسلامی ایران عمل می کند و در صورت بروز مشکلات قانونی مسئله از طریق مراجع ذی صلاح قابل پیگیری است و تیر حق پیگری مشکلات از مراجع ذی صلاح را برای خود محفوظ می داند<span dir=\"LTR\">.</span></p>" +
                "</body>" +
                "</html>";
        Spanned htmlAsSpanned = Html.fromHtml(htmlAsString); // used by TextView
        binding.txtAgreements.setText(htmlAsSpanned);
        return binding.getRoot();
    }

    public void confirmForm(){

    }

}
